<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class HistorySyncMsg extends \Google\Protobuf\Internal\Message
{
    


    protected $message = null;
    


    protected $msgOrderId = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMessage()
    {
        return $this->message;
    }

    public function hasMessage()
    {
        return isset($this->message);
    }

    public function clearMessage()
    {
        unset($this->message);
    }

    




    public function setMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\WebMessageInfo::class);
        $this->message = $var;

        return $this;
    }

    



    public function getMsgOrderId()
    {
        return isset($this->msgOrderId) ? $this->msgOrderId : 0;
    }

    public function hasMsgOrderId()
    {
        return isset($this->msgOrderId);
    }

    public function clearMsgOrderId()
    {
        unset($this->msgOrderId);
    }

    




    public function setMsgOrderId($var)
    {
        GPBUtil::checkUint64($var);
        $this->msgOrderId = $var;

        return $this;
    }

}

